## EntangleControl EntangleControl |

## Functions

EntangleControl * | entangle_control_new ()
gint | entangle_control_get_id ()
const gchar * | entangle_control_get_path ()
const gchar * | entangle_control_get_label ()
const gchar * | entangle_control_get_info ()
gboolean | entangle_control_get_dirty ()
void | entangle_control_set_dirty ()
gboolean | entangle_control_get_readonly ()
void | entangle_control_set_readonly ()

## Properties

gboolean | dirty | Read / Write / Construct Only
gint | id | Read / Write / Construct Only
gchar * | info | Read / Write / Construct Only
gchar * | label | Read / Write / Construct Only
gchar * | path | Read / Write / Construct Only
gboolean | readonly | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── EntangleControl
            ├── EntangleControlButton
            ├── EntangleControlChoice
            ├── EntangleControlDate
            ├── EntangleControlGroup
            ├── EntangleControlRange
            ├── EntangleControlText
            ╰── EntangleControlToggle

## Description

## Functions

### entangle_control_new ()

    EntangleControl *
    entangle_control_new (const gchar *path,
                          gint id,
                          const gchar *label,
                          const gchar *info,
                          gboolean readonly);

### entangle_control_get_id ()

    gint
    entangle_control_get_id (EntangleControl *control);

### entangle_control_get_path ()

    const gchar *
    entangle_control_get_path (EntangleControl *control);

### entangle_control_get_label ()

    const gchar *
    entangle_control_get_label (EntangleControl *control);

### entangle_control_get_info ()

    const gchar *
    entangle_control_get_info (EntangleControl *control);

### entangle_control_get_dirty ()

    gboolean
    entangle_control_get_dirty (EntangleControl *control);

### entangle_control_set_dirty ()

    void
    entangle_control_set_dirty (EntangleControl *control,
                                gboolean dirty);

### entangle_control_get_readonly ()

    gboolean
    entangle_control_get_readonly (EntangleControl *control);

### entangle_control_set_readonly ()

    void
    entangle_control_set_readonly (EntangleControl *control,
                                   gboolean ro);

## Types and Values

## Property Details

### The `“dirty”` property

      “dirty”                    gboolean

Dirty if value has been changed.

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“id”` property

      “id”                       gint

Id of the control.

Flags: Read / Write / Construct Only

Allowed values: >= 0

Default value: 0

### The `“info”` property

      “info”                     gchar *

Info of the control.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“label”` property

      “label”                    gchar *

Label of the control.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“path”` property

      “path”                     gchar *

Path of the control.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“readonly”` property

      “readonly”                 gboolean

State of the control.

Flags: Read / Write / Construct Only

Default value: FALSE